Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # nth_channel_deref_fn Struct Template Reference [Models] `#include <image_view_factory.hpp>` List of all members. ## Detailed Description ### template<typename SrcP> struct boost::gil::detail::nth_channel_deref_fn< SrcP > Function object that returns a grayscale reference of the N-th channel of a given reference. Models: PixelDereferenceAdaptorConcept. If the input is a pixel value or constant reference, the function object is immutable. Otherwise it is mutable (and returns non-const reference to the n-th channel).
## Public Types
typedef nth_channel_deref_fn < const_ref_t > | const_t
typedef pixel_value_type < channel_t, gray_layout_t > ::type | value_type
typedef pixel_reference_type < channel_t, gray_layout_t, false, false >::type | const_reference
typedef SrcP | argument_type
typedef mpl::if_c< is_mutable, ref_t, value_type >::type | reference
typedef reference | result_type
## Public Member Functions
| BOOST_STATIC_CONSTANT (bool, is_mutable=pixel_is_reference< SrcP >::value &&pixel_reference_is_mutable< SrcP >::value)
| nth_channel_deref_fn (int n=0)
template<typename P>
| nth_channel_deref_fn (const nth_channel_deref_fn< P > &d)
result_type | operator() (argument_type srcP) const
## Public Attributes
int | _n
The documentation for this struct was generated from the following file: image_view_factory.hpp